Skip to main content

Create Resident Payment: Yardi REST

Beta
POSThttps://api.propexo.com/v1/resident-payments/yardi_rest/
InterfaceMethod
Resident Transactions/ItfResidentTransactions/ImportReceipts
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    resident_idstringrequired

    The Propexo unique identifier for the resident

    unit_idstringrequired

    The Propexo unique identifier for the unit

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    transaction_datestring<date-time>required

    The transaction date of the resident payment

    amount_in_centsintegerrequired

    The amount of the resident payment, in cents

    reference_numberstringrequired

    The reference number for the resident payment

    descriptionstring

    Description of the resident payment

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    resident_idstringrequired

    The Propexo unique identifier for the resident

    unit_idstringrequired

    The Propexo unique identifier for the unit

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    transaction_datestring<date-time>required

    The transaction date of the resident payment

    amount_in_centsintegerrequired

    The amount of the resident payment, in cents

    reference_numberstringrequired

    The reference number for the resident payment

    descriptionstring | nullnullablerequired

    Description of the resident payment

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/resident-payments/yardi_rest/
curl -X POST https://api.propexo.com/v1/resident-payments/yardi_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"resident_id": "string",
"unit_id": "string",
"financial_account_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"amount_in_cents": 0,
"reference_number": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"resident_id": "string",
"unit_id": "string",
"financial_account_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"amount_in_cents": 0,
"reference_number": "string",
"description": "string"
}
}